extends EnergyAcceptor

@export var receiver: Receiver

func energize(energy: float, position: Vector2):
	receiver.modulate = Color.GREEN
	receiver.stored_energy += energy
	
func deplete():
	receiver.modulate = Color.WHITE
